<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.tasklet.WaitForTasklet&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="class">Class k.t.WaitForTasklet(<a href="kiwi.tasklet.WaitCondition.html">WaitCondition</a>):</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.tasklet.html">tasklet</a></span>
      
      <a href="classIndex.html#kiwi.tasklet.WaitForTasklet">View In Hierarchy</a>
    </p>
    <div>
      
    </div>
    <div>An object that waits for a tasklet to complete
<table class="fieldTable"></table></div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id389">
  
  
  
  
  <tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.tasklet.WaitForTasklet.html#__init__">__init__</a></td>
    <td><span>An object that waits for another tasklet to complete
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.tasklet.WaitForTasklet.html#arm">arm</a></td>
    <td><span>See <a 
href="kiwi.tasklet.WaitCondition.html#arm"><code>WaitCondition.arm</code></a>
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.tasklet.WaitForTasklet.html#disarm">disarm</a></td>
    <td><span>See <a 
href="kiwi.tasklet.WaitCondition.html#disarm"><code>WaitCondition.disarm</code></a>
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.tasklet.WaitForTasklet.html#_join_cb">_join_cb</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.tasklet.WaitForTasklet.html#_idle_cb">_idle_cb</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.tasklet.WaitForTasklet.__init__"></a>
        <a name="__init__"></a>
        <div class="functionHeader">
        
        def __init__(self, tasklet):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.tasklet.WaitCondition.html#__init__">kiwi.tasklet.WaitCondition.__init__</a></div>
          <div>An object that waits for another tasklet to complete
<table class="fieldTable"></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.tasklet.WaitForTasklet.arm"></a>
        <a name="arm"></a>
        <div class="functionHeader">
        
        def arm(self, tasklet):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.tasklet.WaitCondition.html#arm">kiwi.tasklet.WaitCondition.arm</a></div>
          <div>See <a 
href="kiwi.tasklet.WaitCondition.html#arm"><code>WaitCondition.arm</code></a>
<table class="fieldTable"></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.tasklet.WaitForTasklet.disarm"></a>
        <a name="disarm"></a>
        <div class="functionHeader">
        
        def disarm(self):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.tasklet.WaitCondition.html#disarm">kiwi.tasklet.WaitCondition.disarm</a></div>
          <div>See <a 
href="kiwi.tasklet.WaitCondition.html#disarm"><code>WaitCondition.disarm</code></a>
<table class="fieldTable"></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.tasklet.WaitForTasklet._join_cb"></a>
        <a name="_join_cb"></a>
        <div class="functionHeader">
        
        def _join_cb(self, tasklet, retval):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.tasklet.WaitForTasklet._idle_cb"></a>
        <a name="_idle_cb"></a>
        <div class="functionHeader">
        
        def _idle_cb(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>